from .harvester_base import BaseHarvester

class TruckHarvester(BaseHarvester):
    def __init__(self):
        super().__init__(category="truck")

    async def run(self, db):
        print("🚛 Truck Robot: Nehézgépek és teherautók keresése...")